<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
	xmlns:tm="http://java.sun.com/jsf/composite/terminal/1_0/components">
>

<ui:define name="principal">

<h:form id="formUsuario">
<p:growl id="mensagem"/>
	
	<p:dataTable
			var = "usu"
			value = "#{usuarioMB.usuarios}"
			editable = "true"
			id="tabelaUsuario"
			paginator="true"
            rows="5"
            paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
            rowsPerPageTemplate="5,10,15"
			
			
			                        
	>

	
	<f:facet name="header">
            Usuários
    </f:facet>
	
	<p:ajax event="rowEdit" listener="#{usuarioMB.onRowEdit}" update="tabelaUsuario" />
		
		<p:column headerText="Nome" style="text-align: center" sortBy="#{usu.nome}">	
			
		   		<p:cellEditor>
                  		<f:facet name="output"><p:outputLabel value="#{usu.nome}"/></f:facet>
                  		<f:facet name="input"><p:inputText    value="#{usu.nome}" style="width:100%"/></f:facet>
           		</p:cellEditor>	   
           		           		
	    </p:column>
	    
	    
		<p:column headerText="Senha" style="text-align: center" sortBy="#{usu.senha}">		
		   		
		   		<p:cellEditor>
                  		<f:facet name="output"><p:outputLabel value="#{usu.senha}"/></f:facet>
                  		<f:facet name="input"><p:inputText    value="#{usu.senha}" style="width:100%"/></f:facet>
           		</p:cellEditor>	      
           		        		
	    </p:column>
	    
	    <p:column headerText="Tipo" style="text-align: center" sortBy="#{usu.tipo.tipo}">
			<p:outputLabel value="#{usu.tipo.tipo}" />         		
	    </p:column>
	    
	    <p:column headerText="Sexo" style="text-align: center" sortBy="#{usu.sexo.sexo}">
			<p:outputLabel value="#{usu.sexo.sexo}" />   		
	    </p:column>
	   
	    
	    <p:column headerText="Data nascimento" style="text-align: center" sortBy="#{usu.dataNascimento}">
		   
		   <p:cellEditor>            
                  <f:facet name = "output"><p:outputLabel value="#{usu.dataNascimento}">                
                  <f:convertDateTime type="date" pattern="dd/MM/yyyy"/> 
                  </p:outputLabel>
                  </f:facet>
                  
                  <f:facet name = "input"><p:inputText    value="#{usu.dataNascimento}" style="width:100%">
                  <f:convertDateTime type="date" pattern="dd/MM/yyyy"/> 
                  </p:inputText>
                  </f:facet>          
           
           </p:cellEditor>	         
	    </p:column>
	    
	 	<p:column headerText="E-mail" style="text-align: center" sortBy="#{usu.email}">		
		   		
		   		<p:cellEditor>
                  		<f:facet name="output"><p:outputLabel value="#{usu.email}"/></f:facet>
                  		<f:facet name="input"><p:inputText    value="#{usu.email}" style="width:100%"/></f:facet>
           		
           		</p:cellEditor>	              		
	    </p:column>
	    
	    <p:column headerText="Foto" style="text-align: center">
			<p:outputLabel value="#{usu.foto}" /> 		  		
	    </p:column>
	    
	    <p:column headerText="RG" style="text-align: center" sortBy="#{usu.rg}">		
		   		
		   		<p:cellEditor>
                  		<f:facet name="output"><p:outputLabel value="#{usu.rg}"/></f:facet>
                  		<f:facet name="input"><p:inputText    value="#{usu.rg}" style="width:100%"/></f:facet>
           		
           		</p:cellEditor>	              		
	    </p:column>
	    
	    <p:column headerText="CPF" style="text-align: center" sortBy="#{usu.cpf}">		
		   		
		   		<p:cellEditor>
                  		<f:facet name="output"><p:outputLabel value="#{usu.cpf}"/></f:facet>
                  		<f:facet name="input"><p:inputText    value="#{usu.cpf}" style="width:100%"/></f:facet>
           		
           		</p:cellEditor>	  
	    </p:column>
	    
	     <p:column headerText="CREF" style="text-align: center" sortBy="#{usu.cref}">		
		   		
		   		<p:cellEditor>
                  		<f:facet name="output"><p:outputLabel value="#{usu.cref}"/></f:facet>
                  		<f:facet name="input"><p:inputText    value="#{usu.cref}" style="width:100%"/></f:facet>
           		
           		</p:cellEditor>	  
	    </p:column>
	    
	    
	    
	    <p:column headerText="Endereço" style="text-align: center" sortBy="#{usu.endereco}">
		
		   		<p:cellEditor>
                  		<f:facet name="output"><p:outputLabel value="#{usu.endereco}"/></f:facet>
                  		<f:facet name="input"><p:inputText    value="#{usu.endereco}" style="width:100%"/></f:facet>
           		</p:cellEditor>	   
           		
	    </p:column>
	    
	     <p:column headerText="Telefone fixo" style="text-align: center" sortBy="#{usu.telefoneFixo}">
		
		   		<p:cellEditor>
                  		<f:facet name="output"><p:outputLabel value="#{usu.telefoneFixo}"/></f:facet>
                  		<f:facet name="input"><p:inputText    value="#{usu.telefoneFixo}" style="width:100%"/></f:facet>
           		</p:cellEditor>	   
           		
	    </p:column>
	    
	     <p:column headerText="Telefone móvel" style="text-align: center" sortBy="#{usu.telefoneMovel}">
		
		   		<p:cellEditor>
                  		<f:facet name="output"><p:outputLabel value="#{usu.telefoneMovel}"/></f:facet>
                  		<f:facet name="input"><p:inputText    value="#{usu.telefoneMovel}" style="width:100%"/></f:facet>
           		</p:cellEditor>	   
           		
	    </p:column>
	    
	    <p:column  headerText="Inscrições" style="text-align: center">
	    <p:commandButton icon ="ui-icon-search" update=":formUsuario" oncomplete="PF('inscritosDialog').show()" closable="true" title="View">
                <f:setPropertyActionListener value="#{usu}" target="#{usuarioMB.usuario}" />
        </p:commandButton>            
    	<p:dialog header="Inscrição (ões) do usuário" widgetVar="inscritosDialog" showEffect="fade" closeOnEscape="true"  hideEffect="fade" resizable="false">
        <p:outputPanel id="inscritosUsuario" style=" width:800px" columnClasses="label,value" >
            
            <p:dataTable var="inscrito" value="#{usuarioMB.usuario.inscricoes}">
 					<p:column headerText="idInscrição">
	   					<p:outputLabel value="#{inscrito.inscricao.idInscricao}"/>
	   	    		</p:column>	
	   	    		
	   	    		<p:column headerText="Campeonato">
	   					<p:outputLabel value="#{inscrito.inscricao.categoria.campeonato}"/>
	   	    		</p:column>	
	   	    		
	   	    		<p:column headerText="Equipe">
	   					<p:outputLabel value="#{inscrito.inscricao.equipe}"/>  					
	   	    		</p:column>	
	   	    		
	   	    		<p:column headerText="Validada">
	   					<p:outputLabel value="#{inscrito.inscricao.validada}"/>
	   	    		</p:column>
	   	    		
	   	    		<p:column headerText="Pagamento">
	   					<p:outputLabel value="#{inscrito.inscricao.pagamento}"/>
	   	    		</p:column>
	   	    				
 			</p:dataTable>            
        </p:outputPanel>
        </p:dialog>  
        </p:column>	    
	    
	    
	    <p:column  headerText="Equipes" style="text-align: center">
	    <p:commandButton icon ="ui-icon-search" update=":formUsuario" oncomplete="PF('equipesDialog').show()" closable="true" title="View">
                <f:setPropertyActionListener value="#{usu}" target="#{usuarioMB.usuario}" />
        </p:commandButton>            
    	<p:dialog header="Equipe (es) do usuário" widgetVar="equipesDialog" showEffect="fade" closeOnEscape="true"  hideEffect="fade" resizable="false">
        <p:outputPanel id="equipesUsuario" style=" width:600px" columnClasses="label,value" >
            
            <p:dataTable var="equipe" value="#{usuarioMB.usuario.equipes}">
 					<p:column headerText="Nome">
	   					<p:outputLabel value="#{equipe.nome}"/>
	   	    		</p:column>	
	   	    		
	   	    		<p:column headerText="Cidade">
	   					<p:outputLabel value="#{equipe.cidade}"/>
	   	    		</p:column>
	   	    		
	   	    		<p:column headerText="Data de fundação">
	   					<p:outputLabel value="#{equipe.dataFundacao}">
	   					 <f:convertDateTime type="date" pattern="dd/MM/yyyy"/> 
	   					</p:outputLabel>	   					
	   	    		</p:column>	
	   	    		
	   	    			
 			</p:dataTable>            
        </p:outputPanel>
        </p:dialog>  
        </p:column>
        
        
        <p:column  headerText="Campeonatos" style="text-align: center">
	    <p:commandButton icon ="ui-icon-search" update=":formUsuario" oncomplete="PF('campeonatosDialog').show()" closable="true" title="View">
                <f:setPropertyActionListener value="#{usu}" target="#{usuarioMB.usuario}" />
        </p:commandButton>            
    	<p:dialog header="Campeonatos (os) do usuário" widgetVar="campeonatosDialog" showEffect="fade" closeOnEscape="true"  hideEffect="fade" resizable="false">
        <p:outputPanel id="campeonatosUsuario" style=" width:600px" columnClasses="label,value" >
            
            <p:dataTable var="campeonato" value="#{usuarioMB.usuario.campeonatos}">
 					<p:column headerText="Nome">
	   					<p:outputLabel value="#{campeonato.nome}"/>
	   	    		</p:column>	
	   	    		
	   	    		<p:column headerText="Data início">
	   					<p:outputLabel value="#{campeonato.dataInicioCampeonato}">
	   					 <f:convertDateTime type="date" pattern="dd/MM/yyyy"/> 
	   					</p:outputLabel>	   					
	   	    		</p:column>	
	   	    		
	   	    		<p:column headerText="Data fim">
	   					<p:outputLabel value="#{campeonato.dataFimCampeonato}">
	   					 <f:convertDateTime type="date" pattern="dd/MM/yyyy"/> 
	   					</p:outputLabel>	   					
	   	    		</p:column>	
	   	    		
	   	    				
 			</p:dataTable>            
        </p:outputPanel>
        </p:dialog>  
        </p:column>
	    
	    


		<p:column style = "text-align: center; width:70px">
			<p:rowEditor />
	     	<p:commandLink style = "color:DodgerBlue; text-decoration: none" value="Remover" actionListener="#{usuarioMB.remover(usu)}" update="tabelaUsuario"></p:commandLink> 
	     		     	
		</p:column>
			
	</p:dataTable>		
	

</h:form>


	</ui:define>
</ui:composition>